Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5154 - nfs - rpc - mountd problem
Summary: nfs - rpc - mountd problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-15 14:11 UTC by armand.bendanan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-03-15 13:52:39 UTC


Attachments (Terms of Use)

Description armand.bendanan 1999-09-15 14:11:26 UTC
I have installed the new redhat linux 6.0 release on a
pentium PC which serves as a NFS server. and I got some
troubles with nfs mount.

I have a sun workstation which is an NFS client, and when I
want to mount a partition, I got the message on the server
(the PC):
                svc: unknown version (3)

What I have to say is that I have also 2 other PC running
under redhat 5.2, and they can mount correctly the
partitions from the server.

On the server (redhat 6.0):
> rpc.mountd --version
kmountd 1.2.2 (0.4.22)
>

On the others PC (redhat 5.2):
> rpc.mountd --version
Universal NFS Server 2.2beta37
>


Can you help me ?

Comment 1 armand.bendanan 1999-11-17 03:02:59 UTC
Olaf Kirch (orik@nomad.swb.de) find a working solution:
I have to modify the starting of the mountd in rc.d/init.d/nfs:
mountd --> mountd -N 3

Comment 2 Need Real Name 2001-03-15 13:52:30 UTC
On the readhat 6.0 NFS server, I lauch now the mountd with the option '-N 3' 
and it works fine.

Armand

Comment 3 Michael K. Johnson 2001-03-15 17:55:38 UTC
Right, the sun workstation wanted to use NFSv3.


Note You need to log in before you can comment on or make changes to this bug.